import * as langly from "langly";
import { Customer, Subscription } from "@payfunc/model";
export declare class IntergiroSubscriptionTable {
  element: HTMLElement;
  t: langly.Translate;
  subscriptions: Subscription[];
  customer: Customer;
  opened: {
    [id: string]: "" | "number" | "amount" | "schedule";
  };
  componentWillLoad(): void;
  toggleColumn(e: CustomEvent<{
    id: string;
    column: "" | "number" | "amount" | "schedule";
  }>): void;
  render(): any[];
}
